Bug 316881 - Review Request: wavplay - Uncompressed wav file player
Review Request: wavplay - Uncompressed wav file player
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-03 10:08 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-12-15 08:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-15 08:07:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-03 10:08:29 EDT
Spec URL: http://kwizart.free.fr/fedora/SPECS/wavplay.spec
Description: Uncompressed wav file player

This package is still needed by some applications
Comment 1 Jason Tibbitts 2007-11-07 13:12:15 EST
The only issue I can see is that your %description should be a complete
sentence.  Maybe "wavplay is an uncompressed wav file player."  But really,
that's minor.

My only real question is how this works with these fancy audio systems we have
those days, but I don't at the moment have any way to test them so I'll leave
that up to you.

* source files match upstream:
  The patch matches upstream too:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description should at least be a complete sentence.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane.
* %check is not present; no upstream test suite.  Seems to work well enough in 
   manual testing.
* no shared libraries are added to the regular linker search paths.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Nicolas Chauvet (kwizart) 2007-11-09 07:49:18 EST
Actually you raised a good question (with PA)...
Anyway I wonder if I could remove the need of wavplay from gimp-gap (which is
the package that would "still" need it...)

Comment 3 Nicolas Chauvet (kwizart) 2007-12-15 08:07:44 EST
Ok i will not fix since gimp-gap may be deprecated with the tools provided by
gimp 2.4
Closing to won't fix

Note You need to log in before you can comment on or make changes to this bug.